org.mariadb.jdbc.internal.queryresults.resultset.value

## Class AbstractValueObject

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.resultset.value.AbstractValueObject

All Implemented Interfaces:
  ValueObject

Direct Known Subclasses:
  GeneratedKeyValueObject, MariaDbValueObject

    public abstract class AbstractValueObject
    extends Object
    implements ValueObject

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.queryresults.resultset.value.ValueObject

`TINYINT1_IS_BIT, YEAR_IS_DATE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractValueObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getObject(Class<T> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.queryresults.resultset.value.ValueObject

`getBigDecimal, getBigInteger, getBinaryInputStream, getBlob, getBoolean, getByte, getBytes, getClob, getDate, getDouble, getFloat, getInputStream, getInt, getLong, getObject, getShort, getString, getString, getTime, getTimestamp, isNull`

### Constructor Detail

#### AbstractValueObject

    public AbstractValueObject()

### Method Detail

#### getObject

    public <T> T getObject(Class<T> type)
                    throws SQLException

Specified by:
  `getObject` in interface `ValueObject`
Throws:
  `SQLException`